#
# spec file for package guile (Version 1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake readline readline-devel scheme
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm scheme sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         guile
Copyright:    GPL
Group:        Development/Languages
Autoreqprov:  on
Version:      1.4
Release:      194
Summary:      GNU's Ubiquitous Intelligent Language for Extension
URL:          http://www.gnu.org/software/guile/
Source0:      guile-%{version}.tar.bz2
Source1:      SuSEconfig.guile
Patch0:       guile-%{version}-conf.patch
Patch1:       guile-%{version}.patch
Patch2:       guile-%{version}-axp.patch
Patch3:       guile-%{version}-64bit.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
This is Guile, a portable, embeddable Scheme implementation written in C.
Guile provides a machine independent execution platform that can be
linked in as a library when building extensible programs.

Authors:
--------
    Jim Blandy <jimb@floss.red-bean.com>
    George Carrette
    Aubrey Jaffer
    Gary Houston <ghouston@actrix.gen.nz>
    Tom Lord
    Anthony Green
    Mikael Djurfeldt <mdj@mdj.nada.kth.se>
    Mark Galassi <rosalia@papageno.lanl.gov>
    Tim Pierce <twp@twp.tezcat.com>
    Marius Vollmer <mvo@zagadka.ping.de>
    Tom Tromey <tromey@cygnus.com>

SuSE series: d

%prep
%setup
%patch0
%patch1
%patch2
%patch3
#
cp %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force --ltdl
aclocal -I .
automake
autoconf
cd guile-readline
aclocal
automake
autoconf
cd ../libltdl
autoconf
cd ..
%ifarch ia64
CFLAGS="$RPM_OPT_FLAGS -O0" \
%else
CFLAGS="$RPM_OPT_FLAGS" \
%endif
  ./configure --prefix=/usr \
              --infodir=%{_infodir} \
              --with-threads \
              %{_target_cpu}-suse-linux-gnu
make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
ln -sf ../../../lib/scheme/slib $RPM_BUILD_ROOT/usr/share/guile/1.4/slib
#
install -d -m 755 $RPM_BUILD_ROOT/sbin/conf.d/
cp SuSEconfig.guile $RPM_BUILD_ROOT/sbin/conf.d/
touch $RPM_BUILD_ROOT/usr/share/guile/1.4/slibcat

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS COPYING ChangeLog GUILE-VERSION HACKING
%doc NEWS README THANKS SNAPSHOTS
%doc %{_infodir}/*.info*
%dir /usr/share/guile/
%dir /usr/share/guile/1.4
/sbin/conf.d/SuSEconfig.guile
/usr/bin/*
/usr/include/libguile
/usr/include/libguile.h
/usr/include/guile
/usr/include/guile-readline
/usr/lib/libguile*
%ifnarch ppc ia64 s390
/usr/lib/libqthreads*
%endif
/usr/share/aclocal/*
/usr/share/guile/guile-procedures.txt
/usr/share/guile/1.4/ice-9
/usr/share/guile/1.4/slib
%ghost /usr/share/guile/1.4/slibcat

%changelog -n guile
* Sat Sep 15 2001 - schwab@suse.de
- Fix libtool configuration.
- Remove ia64 cpp workaround.
- Fix hash functions for 64-bit architectures.
* Fri Aug 31 2001 - pmladek@suse.cz
- fixed creating of SLIB catalog (#8997):
- moved from triggerin to SuSEconfig because
  there were problems with update when rpm was
  updated after guile
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed file numbering in qt/md/axp.s
  * fixed end of block qt_vstart in qt/md/axp.s
* Fri Aug 10 2001 - ro@suse.de
- fixed to build with current autoconf and libtool
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to more correctly compile with new autoconf
* Mon Jun 11 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Sat May 12 2001 - schwab@suse.de
- Fix readline interface.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Dec 06 2000 - schwab@suse.de
- guile-doc-snarf: work around problem with cpp on ia64.
- Build with -O0 on ia64.
* Thu Nov 23 2000 - cihlar@suse.cz
- fixed to compile on older distros
* Sun Nov 12 2000 - ro@suse.de
- don't redeclare inet_aton
* Wed Nov 08 2000 - ro@suse.de
- changed %%post to %%triggerin -- scheme
* Tue Nov 07 2000 - cihlar@suse.cz
- added postinstall and link to /usr/lib/scheme/slib
* Fri Nov 03 2000 - cihlar@suse.cz
- bzipped sources
- clean up spec file
* Mon Oct 23 2000 - ro@suse.de
- use macro for infodir
* Wed Aug 02 2000 - cihlar@suse.cz
- update to version 1.4
* Fri Apr 07 2000 - bk@suse.de
- And no QuickThreads yet on s390 too ;-)
* Thu Apr 06 2000 - schwab@suse.de
- No QuickThreads yet on ia64.
* Mon Mar 06 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Sun Feb 06 2000 - ke@suse.de
- Add group tag.
- /configure -> %%build.
- use /usr/share/info.
* Sun Oct 03 1999 - ke@suse.de
- update: 1.3.4.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - uli@suse.de
- no QuickThreads on PPC, disabled them
* Wed Aug 25 1999 - ro@suse.de
- fixed configuration for alpha-Quickthreads again
* Wed Aug 25 1999 - ke@suse.de
- update: 1.3.2.
* Wed Mar 17 1999 - ro@suse.de
- fixed patch-call
* Wed Feb 10 1999 - ke@suse.de
- apply guile-slow-read-fix.patch (by Harvey J. Stein
  <hjstein@bfr.co.il>).
- fix lib perms.
* Fri Feb 05 1999 - ro@suse.de
- changed config to detect alpha(ev56)  as alpha
* Wed Oct 21 1998 - ke@suse.de
- update: version 1.3.
- build libqthreads.
* Wed Sep 23 1998 - ke@suse.de
- update: snapshot 1998-09-23 (1.3a).
* Sun Aug 23 1998 - ke@suse.de
- update: snapshot 1998-08-23 (1.3a).
* Fri Nov 21 1997 - bs@suse.de
- don't call ldconfig in spec file
* Tue Jul 15 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 1.2.
